Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Updates the content of an existing comment.

URL Parameters

id
integer
required
The ID of the comment

Request Body

comment.content
string
required
The updated comment text

Returns

Returns the updated comment object.
curl -X PATCH https://api.onlydrams.app/odis/v1/comments/3 \
     -H "Authorization: Bearer $ACCESS_TOKEN" \
     -H "Content-Type: application/json" \
     -d '{
       "comment": {
         "content": "Updated comment text."
       }
     }'
{
  "id": 3,
  "content": "Updated comment text.",
  "user": {
    "id": 200,
    "username": "whisky_lover",
    "avatar_url": "https://storage.googleapis.com/onlydrams/avatars/200.jpg"
  },
  "created_at": "2024-11-14T12:00:00Z",
  "updated_at": "2024-11-14T12:30:00Z"
}

Notes

  • Authorization: Comment owner, community owner, or admin
  • Content Required: Updated content cannot be blank
  • Timestamp: updated_at is automatically updated